Subject: Re: linux-next: build failure after merge of the kspp-gustavo tree

From: "Gustavo A. R. Silva" <[email-masked]>
Date: Mon, 17 Aug 2020 19:06:34 -0500

Hi Stephen,

On 8/17/20 18:38, Stephen Rothwell wrote:
> Hi all,
> 
> After merging the kspp-gustavo tree, today's linux-next build (powerpc
> ppc64_defconfig) failed like this:
> 
> arch/powerpc/boot/inflate.c: In function 'zlib_inflate':
> arch/powerpc/boot/inflate.c:399:3: error: 'fallthrough' undeclared (first use in this function)
>   399 |   fallthrough;
>       |   ^~~~~~~~~~~
> arch/powerpc/boot/inflate.c:399:3: note: each undeclared identifier is reported only once for each function it appears in
> In file included from ./arch/powerpc/boot/decompress_inflate.c:12,
>                  from /home/sfr/next/next/arch/powerpc/boot/decompress.c:33:
> ./arch/powerpc/boot/inflate.c: In function 'zlib_inflate':
> ./arch/powerpc/boot/inflate.c:399:3: error: 'fallthrough' undeclared (first use in this function)
>   399 |   fallthrough;
>       |   ^~~~~~~~~~~
> ./arch/powerpc/boot/inflate.c:399:3: note: each undeclared identifier is reported only once for each function it appears in
> 
> Caused by commit
> 
>   02b894b985cb ("treewide: Use fallthrough pseudo-keyword")
> 
> I have used the kspp-gustavo tree from next-20200817 for today.
> 

Sorry for the inconvenience. This is a huge treewide patch and I
overlooked some erroneous conversions.  I'll fix this up for
tomorrow's linux-next.

Thanks
--
Gustavo